[Commits] [svn:einsteintoolkit] tools/ (Rev. 24)

knarf at cct.lsu.edu knarf at cct.lsu.edu
Thu Apr 19 11:03:03 CDT 2012


User: knarf
Date: 2012/04/19 11:03 AM

Added:
 /trunk/VirtualBox/
  create_ET, et.cfg, install_ET_2011_10, install_ET_trunk, postseed, preseed.cfg, remove_ET

Log:
 files for automated Debian installation within VM, building the ET and running the testsuites

Directory Changes:

Directory: /svn:executable/
===========================

   + *

File Changes:

Directory: /trunk/VirtualBox/
=============================

File [added]: create_ET
Delta lines: +38 -0
===================================================================
--- trunk/VirtualBox/create_ET	                        (rev 0)
+++ trunk/VirtualBox/create_ET	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e
+RELEASE=$1
+if [ ! -f install_$RELEASE ] ; then
+  echo "You need to specify a release and the file install_\$RELEASE needs to be present.";
+  exit 1
+fi
+
+CD_DST=debian_$RELEASE
+rm -rf $CD_DST
+mkdir $CD_DST
+wget -N http://cdimage.debian.org/debian-cd/6.0.4/amd64/iso-cd/debian-6.0.4-amd64-netinst.iso
+bsdtar -C $CD_DST -xf debian-6.0.4-amd64-netinst.iso
+chmod -R +w $CD_DST
+cd $CD_DST
+perl -pi -e 's/initrd\.gz/initrd\.gz auto-install\/enable=true preseed\/file=\/cdrom\/preseed.cfg/'  isolinux/txt.cfg
+perl -pi -e 's/timeout 0/timeout 1/' isolinux/isolinux.cfg
+cp ../preseed.cfg ../postseed .
+mkdir et_misc
+if [ "X$RELEASE" = "XET_2011_10" ]; then
+  cp ../et.cfg et_misc/
+fi
+cp ../install_$RELEASE ../late_commands.sh et_misc/
+md5sum `find ! -name "md5sum.txt" ! -path "./isolinux/*" -follow -type f` > md5sum.txt
+cd ..
+genisoimage -o $RELEASE.iso -r -J -no-emul-boot -boot-load-size 4 -boot-info-table -b isolinux/isolinux.bin -c isolinux/boot.cat $CD_DST
+rm -rf $CD_DST
+
+VBoxManage createvm --name $RELEASE --register
+VBoxManage modifyvm      $RELEASE --ostype Debian_64 --acpi on --memory 1024 --cpus 1 --biosbootmenu disabled 
+VBoxManage storagectl    $RELEASE --name "IDE Controller" --add ide --controller PIIX4
+VBoxManage storagectl    $RELEASE --name "SATA Controller" --add sata --controller IntelAhci
+VBoxManage storageattach $RELEASE --storagectl "IDE Controller" --port 0 --device 0 --type dvddrive --medium ~/vm/$RELEASE.iso
+VBoxManage createhd --filename $RELEASE.vdi --size 32768
+VBoxManage storageattach $RELEASE --storagectl "SATA Controller" --port 0 --device 0 --type hdd --medium $RELEASE.vdi
+VBoxManage modifyvm      $RELEASE --nic1 nat --nictype1 82540EM 
+VBoxManage modifyvm      $RELEASE --audio alsa
+VBoxManage startvm       $RELEASE



Property changes on: trunk/VirtualBox/create_ET
___________________________________________________________________

File [added]: et.cfg
Delta lines: +85 -0
===================================================================
--- trunk/VirtualBox/et.cfg	                        (rev 0)
+++ trunk/VirtualBox/et.cfg	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,85 @@
+# NOTE: This file is only used for a ET_2011_10 checkout. After that simfactory
+# contains debian.cfg which can be used.
+#
+# Configuration for a Debian installation, assuming the following list of
+# packages is installed:
+#
+#   perl gfortran g++ libmpich2-dev
+#
+# In addition, installing the following list of packaed will prevent Cactus
+# from compiling it's own versions of these libraries:
+#
+#   libfftw3-dev libgsl0-dev libatlas-base-dev libjpeg-dev libssl-dev libhdf5-serial-dev
+#
+# Tools like GetComponents and Simfactory like to have the following list
+# installed too
+#
+#   python subversion git mercurial
+
+# Whenever this version string changes, the application is configured
+# and rebuilt from scratch
+VERSION = 2012-04-11
+
+CPP = cpp
+CC  = gcc
+CXX = g++
+
+FPP = cpp
+F77 = gfortran
+F90 = gfortran
+
+FPPFLAGS = -traditional
+
+CFLAGS   = -fopenmp -g -rdynamic -std=gnu99
+CXXFLAGS = -fopenmp -g -rdynamic
+F77FLAGS = -fopenmp -g
+F90FLAGS = -fopenmp -g
+
+DEBUG           = no
+CPP_DEBUG_FLAGS =
+FPP_DEBUG_FLAGS =
+C_DEBUG_FLAGS   =
+CXX_DEBUG_FLAGS =
+F77_DEBUG_FLAGS =
+F90_DEBUG_FLAGS =
+
+OPTIMISE           = yes
+CPP_OPTIMISE_FLAGS =
+FPP_OPTIMISE_FLAGS =
+C_OPTIMISE_FLAGS   = -O2
+CXX_OPTIMISE_FLAGS = -O2
+F77_OPTIMISE_FLAGS = -O2
+F90_OPTIMISE_FLAGS = -O2
+
+PROFILE           = no
+CPP_PROFILE_FLAGS =
+FPP_PROFILE_FLAGS =
+C_PROFILE_FLAGS   = -pg
+CXX_PROFILE_FLAGS = -pg
+F77_PROFILE_FLAGS = -pg
+F90_PROFILE_FLAGS = -pg
+
+WARN           = yes
+CPP_WARN_FLAGS = -Wall
+C_WARN_FLAGS   = -Wall
+CXX_WARN_FLAGS = -Wall
+F77_WARN_FLAGS = -Wall
+F90_WARN_FLAGS = -Wall
+
+PTHREADS = yes
+
+# necessary for the Maxwell release, should not be needed for the
+# 2012_05 release
+LAPACK_DIR = /usr/lib/atlas-base/atlas
+
+# necessary for the Maxwell release, should not be needed for the
+# 2012_05 release
+HDF5_DIR = /usr/.
+
+# OpenMPI would work as well, but in practice gives problems with
+# calling system() and fork(), e.g. via OpenCL SDKs.
+MPI             = CUSTOM
+MPI_LIB_DIRS    = /usr/lib
+MPI_INC_DIRS    = /usr/include/mpich2
+MPI_LIBS        = mpich
+

File [added]: install_ET_2011_10
Delta lines: +23 -0
===================================================================
--- trunk/VirtualBox/install_ET_2011_10	                        (rev 0)
+++ trunk/VirtualBox/install_ET_2011_10	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+perl -le 'printf "MPD_SECRETWORD=";print map { ("a".."z","A".."Z")[rand 52] } 1..40' > $HOME/.mpd.conf
+chmod 600 $HOME/.mpd.conf
+
+RELEASE=ET_2011_10
+wget --no-check-certificate https://github.com/gridaphobe/CRL/raw/$RELEASE/GetComponents
+chmod +x GetComponents
+./GetComponents -p -a http://svn.einsteintoolkit.org/manifest/branches/$RELEASE/einsteintoolkit.th
+cd Cactus
+./simfactory/bin/sim setup-silent
+echo "thornlist       = thornlists/einsteintoolkit.th" >> ./simfactory/etc/defs.local.ini
+cp ../misc/et.cfg ./simfactory/mdb/optionlists/
+perl -pi -e 's/^(optionlist\s*=\s*)generic.cfg/$1et.cfg/' ./simfactory/mdb/machines/et-vm-debian.*
+mkdir ~/simulations
+set +e
+./simfactory/bin/sim build
+set -e
+make sim
+./simfactory/bin/sim create-run tests_1 --testsuite --procs 1
+#./simfactory/bin/sim create-run tests_2 --testsuite --procs 2
+



Property changes on: trunk/VirtualBox/install_ET_2011_10
___________________________________________________________________

File [added]: install_ET_trunk
Delta lines: +19 -0
===================================================================
--- trunk/VirtualBox/install_ET_trunk	                        (rev 0)
+++ trunk/VirtualBox/install_ET_trunk	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+perl -le 'printf "MPD_SECRETWORD=";print map { ("a".."z","A".."Z")[rand 52] } 1..40' > $HOME/.mpd.conf
+chmod 600 $HOME/.mpd.conf
+
+wget --no-check-certificate https://github.com/gridaphobe/CRL/raw/master/GetComponents
+chmod +x GetComponents
+./GetComponents -p -a http://svn.einsteintoolkit.org/manifest/trunk/einsteintoolkit.th
+mkdir simulations
+cd Cactus
+./simfactory/bin/sim setup-silent --optionlist=debian.cfg
+set +e
+./simfactory/bin/sim build --thornlist=./thornlists/einsteintoolkit.th
+set -e
+make sim
+./simfactory/bin/sim create-run tests_1 --testsuite --procs 1
+#./simfactory/bin/sim create-run tests_2 --testsuite --procs 2
+



Property changes on: trunk/VirtualBox/install_ET_trunk
___________________________________________________________________

File [added]: postseed
Delta lines: +16 -0
===================================================================
--- trunk/VirtualBox/postseed	                        (rev 0)
+++ trunk/VirtualBox/postseed	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides:       postseed
+# Required-Start: $local_fs $remote_fs
+# Required-Stop:
+# X-Start-Before:
+# Default-Start:  2 3 4 5
+# Default-Stop:
+### END INIT INFO
+
+chown -R et /home/et/misc
+chgrp -R et /home/et/misc
+chmod -R +w  /home/et/misc
+sudo -i -u et /home/et/misc/install_ET_* 2>&1 | tee /var/log/ET_install
+update-rc.d postseed remove



Property changes on: trunk/VirtualBox/postseed
___________________________________________________________________

File [added]: preseed.cfg
Delta lines: +45 -0
===================================================================
--- trunk/VirtualBox/preseed.cfg	                        (rev 0)
+++ trunk/VirtualBox/preseed.cfg	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i debian-installer/keymap string  us
+d-i localechooser/supported-locales multiselect en_US.UTF-8
+d-i keyboard-configuration/xkb-keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname string et-vm-debian
+d-i netcfg/get_domain string local
+d-i mirror/country string manual
+d-i mirror/http/hostname string mirror.steadfast.net
+d-i mirror/http/directory string /debian
+d-i mirror/http/proxy string
+d-i passwd/root-password password et
+d-i passwd/root-password-again password et
+d-i passwd/user-fullname string Einstein Toolkit User
+d-i passwd/username string et
+d-i passwd/user-password password et
+d-i passwd/user-password-again password et
+d-i clock-setup/utc boolean true
+d-i time/zone string US/Central
+#d-i partman-auto/init_automatically_partition select biggest_free
+d-i partman-auto/expert_recipe string                         \
+      root ::                                                 \
+              5000 1000000000 1000000000 ext3                 \
+                      $primary{ } $bootable{ }                \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext3 }    \
+                      mountpoint{ / }                         \
+              .
+d-i partman-basicfilesystems/no_swap boolean false
+d-i partman-auto/method string regular
+d-i partman-auto/choose_recipe select atomic
+d-i partman/confirm_write_new_label boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i grub-installer/only_debian boolean true
+d-i finish-install/reboot_in_progress note
+tasksel tasksel/first multiselect
+d-i pkgsel/upgrade select full-upgrade
+#d-i debian-installer/exit/halt boolean true
+#d-i debian-installer/exit/poweroff boolean true
+pularity-contest popularity-contest/participate boolean false
+d-i preseed/late_command string cp /cdrom/postseed /target/etc/init.d/; chroot /target update-rc.d postseed defaults; cp -r /cdrom/et_misc /target/home/et/misc
+d-i pkgsel/include string sudo perl python subversion git mercurial gfortran g++ libfftw3-dev libgsl0-dev libatlas-base-dev libjpeg-dev libssl-dev libmpich2-dev libhdf5-serial-dev

File [added]: remove_ET
Delta lines: +11 -0
===================================================================
--- trunk/VirtualBox/remove_ET	                        (rev 0)
+++ trunk/VirtualBox/remove_ET	2012-04-19 16:03:02 UTC (rev 24)
@@ -0,0 +1,11 @@
+#!/bin/bash
+RELEASE=$1
+if [ ! -f install_$RELEASE ] ; then
+  echo "You need to specify a release and the file install_\$RELEASE needs to be present.";
+  exit 1
+fi
+VBoxManage storageattach $RELEASE --storagectl "IDE Controller" --port 0 --device 0 --type dvddrive --medium none
+VBoxManage storageattach $RELEASE --storagectl "SATA Controller" --port 0 --device 0 --type hdd --medium none
+VBoxManage closemedium dvd ~/vm/$RELEASE.iso
+VBoxManage closemedium disk --delete HardDisks/$RELEASE.vdi
+VBoxManage unregistervm $RELEASE --delete



Property changes on: trunk/VirtualBox/remove_ET
___________________________________________________________________



More information about the Commits mailing list